history_tag_definers = {
    "hr_line": ["hr", "style", "display:inline-block;width:98%"],
    "div_gmail_quote": ["div", "class", "gmail_quote"],
    "hr_id": ["hr", "id", "zwchr"],
    "hr_width": ["hr", "width", "98%"],
    "div_border": ["div", "style", "border-top:solid"],
}

history_substring_definers = {
    "blockquote": "<blockquote",
    "original": ["-original message-", "- original message -", "&nbsp;original&nbsp;"],
}

conclusion_phrases = [
    "best,",
    "best regards,",
    "regards,",
    "respectfully,",
    "yours faithfully,",
    "sincerely,",
    "kind regards,",
    "best wishes,",
    "as ever,",
    "cheers,",
    "yours,",
    "take care,",
    "all the best,",
    "yours sincerely,",
    "sincerely yours,",
    "faithfully yours,",
    "fond regards,",
    "thanks again,",
    "looking forward to hearing from you,",
    "with gratitude,",
    "with appreciation,",
    "faithfully,",
    "warmly,",
    "thanks,",
    "thank you,",
    "thank you!",
    "many thanks,",
    "yours truly,",
    "truly yours,",
    "talk soon,",
    "see ya,",
    "see ya later,",
    "speak soon,",
    "much appreciated,",
    "cordially,",
    "my best,",
    "my best to you,",
    "bests,",
    "rgds,",
    "warmest regards,",
    "warm regards,",
    "warmest,",
    "be well,",
    "lots of love,",
]

unwanted_phrases = [
    "I hope this email finds you well.",
    "I hope this email finds you well. ",
]

reply_variables_separators = [["{{", "}}"], ["{", "}"]]

cheker_url_regex = r"""(?i)\b((?:https?:(?:/{1,3}|[a-z0-9%])|[a-z0-9.\-]+[.](?:com|net|org|edu|gov|mil|aero|asia|biz|cat|coop|info|int|jobs|mobi|museum|name|post|pro|tel|travel|xxx|ac|ad|ae|af|ag|ai|al|am|an|ao|aq|ar|as|at|au|aw|ax|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cs|cu|cv|cx|cy|cz|dd|de|dj|dk|dm|do|dz|ec|ee|eg|eh|er|es|et|eu|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|me|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|rs|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|Ja|sk|sl|sm|sn|so|sr|ss|st|su|sv|sx|sy|sz|tc|td|tf|tg|th|tj|tk|tl|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|ug|uk|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)/)(?:[^\s()<>{}\[\]]+|\([^\s()]*?\([^\s()]+\)[^\s()]*?\)|\([^\s]+?\))+(?:\([^\s()]*?\([^\s()]+\)[^\s()]*?\)|\([^\s]+?\)|[^\s`!()\[\]{};:'".,<>?«»“”‘’])|(?:(?<!@)[a-z0-9]+(?:[.\-][a-z0-9]+)*[.](?:com|net|org|edu|gov|mil|aero|asia|biz|cat|coop|info|int|jobs|mobi|museum|name|post|pro|tel|travel|xxx|ac|ad|ae|af|ag|ai|al|am|an|ao|aq|ar|as|at|au|aw|ax|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cs|cu|cv|cx|cy|cz|dd|de|dj|dk|dm|do|dz|ec|ee|eg|eh|er|es|et|eu|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|me|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|rs|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|Ja|sk|sl|sm|sn|so|sr|ss|st|su|sv|sx|sy|sz|tc|td|tf|tg|th|tj|tk|tl|tm|tn|to|tp|tr|tt|tv|tw|tz|ua|ug|uk|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|yu|za|zm|zw)\b/?(?!@)))"""

spam_words = {
    "Calls-to-Action": [
        "Cancel at any time",
        "Compare",
        "Copy accurately",
        "Get",
        "Give it away",
        "Print form signature",
        "Print out and fax",
        "See for yourself",
        "Sign up free today",
    ],
    "Commerce": [
        "As seen on",
        "Buy",
        "Buy direct",
        "Buying judgments",
        "Clearance",
        "Order",
        "Order status",
        "Orders shipped by",
        "shopper",
    ],
    "Descriptions/Adjectives": [
        "All natural",
        "All new",
        "Amazing",
        "Certified",
        "Congratulations",
        "Drastically reduced",
        "Fantastic deal",
        "For free",
        "Guaranteed",
        "It's effective",
        "Outstanding values",
        "Promise you",
        "Real thing",
        "Risk free",
        "Satisfaction guaranteed",
    ],
    "Employment": [
        "Additional Income",
        "Double your",
        "Earn per week",
        "Home based",
        "Income from home",
        "Money making",
        "Opportunity",
        "While you sleep",
        "Be your own boss",
        "Earn $",
        "Expect to earn",
        "Home employment",
        "Make $",
        "Online biz opportunity",
        "Potential earnings",
        "Work at home",
        "Compete for your business",
        "Earn extra cash",
        "Extra income",
        "Homebased business",
        "Make money",
        "Online degree",
        "University diplomas",
        "Work from home",
    ],
    "Financial - Business": [
        "Accept Credit Cards",
        "Cards accepted",
        "Check or money order",
        "Credit card offers",
        "Explode your business",
        "Full refund",
        "Investment decision",
        "No credit check",
        "No hidden Costs",
        "No investment",
        "Requires initial investment",
        "Sent in compliance",
        "Stock alert",
        "Stock disclaimer statement",
        "Stock pick",
    ],
    "Financial - General": [
        "$$$",
        "Affordable",
        "Bargain",
        "Beneficiary",
        "Best price",
        "Big bucks",
        "Cash",
        "Cash bonus",
        "Cashcashcash",
        "Cents on the dollar",
        "Cheap",
        "Check",
        "Claims",
        "Collect",
        "Compare rates",
        "Cost",
        "Credit",
        "Credit bureaus",
        "Discount",
        "Earn",
        "Easy terms",
        "F r e e",
        "Fast cash",
        "For just $XXX",
        "Hidden assets",
        "hidden charges",
        "Income",
        "Incredible deal",
        "Insurance",
        "Investment",
        "Loans",
        "Lowest price",
        "Million dollars",
        "Money",
        "Money back",
        "Mortgage",
        "Mortgage rates",
        "No cost",
        "No fees",
        "One hundred percent free",
        "Only $",
        "Pennies a day",
        "Price",
        "Profits",
        "Pure profit",
        "Quote",
        "Refinance",
        "Save $",
        "Save big money",
        "Save up to",
        "Serious cash",
        "Subject to credit",
        "They keep your money -- no refund",
        "Unsecured credit",
        "Unsecured debt",
        "US dollars",
        "Why pay more",
    ],
    "Financial - Personal": [
        "Avoid bankruptcy",
        "Calling creditors",
        "Collect child support",
        "Consolidate debt and credit",
        "Consolidate your debt",
        "Eliminate bad credit",
        "Eliminate debt",
        "Financially independent",
        "Get out of debt",
        "Get paid",
        "Lower interest rate",
        "Lower monthly payment",
        "Lower your mortgage rate",
        "Lowest insurance rates",
        "Pre-approved",
        "Refinance home",
        "Social security number",
        "Your income",
    ],
    "Free": [
        "Free",
        "Free access",
        "Free cell phone",
        "Free consultation",
        "Free DVD",
        "Free gift",
        "Free grant money",
        "Free hosting",
        "Free installation",
        "Free Instant",
        "Free investment",
        "Free leads",
        "Free membership",
        "Free money",
        "Free offer",
        "Free preview",
        "Free priority mail",
        "Free quote",
        "Free sample",
        "Free trial",
        "Free website",
    ],
    "General": [
        "Acceptance",
        "Accordingly",
        "Avoid",
        "Chance",
        "Dormant",
        "Freedom",
        "Here",
        "Hidden",
        "Home",
        "Leave",
        "Lifetime",
        "Lose",
        "Maintained",
        "Medium",
        "Miracle",
        "Never",
        "Passwords",
        "Problem",
        "Remove",
        "Reverses",
        "Sample",
        "Satisfaction",
        "Solution",
        "Stop",
        "Success",
        "Teen",
        "Wife",
    ],
    "Greetings": ["Dear", "Friend", "Hello"],
    "Marketing": [
        "Ad",
        "Auto email removal",
        "Bulk email",
        "Click",
        "Click below",
        "Click here",
        "Click to remove",
        "Direct email",
        "Direct marketing",
        "Email harvest",
        "Email marketing",
        "Form",
        "Increase sales",
        "Increase traffic",
        "Increase your sales",
        "Internet market",
        "Internet marketing",
        "Marketing",
        "Marketing solutions",
        "Mass email",
        "Member",
        "Month trial offer",
        "More Internet Traffic",
        "Multi level marketing",
        "Notspam",
        "One time mailing",
        "Online marketing",
        "Open",
        "Opt in",
        "Performance",
        "Removal instructions",
        "Sale",
        "Sales",
        "Search engine listings",
        "Search engines",
        "Subscribe",
        "The following form",
        "This isn't junk",
        "This isn't spam",
        "Undisclosed recipient",
        "Unsubscribe",
        "Visit our website",
        "We hate spam",
        "Web traffic",
        "Will not believe your eyes",
    ],
    "Medical": [
        "Cures baldness",
        "Diagnostics",
        "Fast Viagra delivery",
        "Human growth hormone",
        "Life Insurance",
        "Lose weight",
        "Lose weight spam",
        "Medicine",
        "No medical exams",
        "Online pharmacy",
        "Removes wrinkles",
        "Reverses aging",
        "Stop snoring",
        "Valium",
        "Viagra",
        "Vicodin",
        "Weight loss",
        "Xanax",
    ],
    "Nouns": [
        "Addresses on CD",
        "Beverage",
        "Bonus",
        "Brand new pager",
        "Cable converter",
        "Casino",
        "Celebrity",
        "Copy DVDs",
        "Laser printer",
        "Legal",
        "Luxury car",
        "New domain extensions",
        "Phone",
        "Rolex",
        "Stainless steel",
    ],
    "Numbers": [
        "#1",
        "100% free",
        "100% Satisfied",
        "4U",
        "50% off",
        "Billion",
        "Billion dollars",
        "Join millions",
        "Join millions of Americans",
        "Million",
        "One hundred percent guaranteed",
        "Thousands",
    ],
    "Offers": [
        "Being a member",
        "Billing address",
        "Call",
        "Cannot be combined with any other offer",
        "Confidentially on all orders",
        "Deal",
        "Financial freedom",
        "Gift certificate",
        "Giving away",
        "Guarantee",
        "Have you been turned down",
        "If only it were that easy",
        "Important information regarding",
        "In accordance with laws",
        "Long distance phone offer",
        "Mail in order form",
        "Message contains",
        "Name brand",
        "Nigerian",
        "No age restrictions",
        "No catch",
        "No claim forms",
        "No disappointment",
        "No experience",
        "No gimmick",
        "No inventory",
        "No middleman",
        "No obligation",
        "No purchase necessary",
        "No questions asked",
        "No selling",
        "No strings attached",
        "No-obligation",
        "Not intended",
        "Obligation",
        "Off shore",
        "Offer",
        "Per day",
        "Per week",
        "Priority mail",
        "Prize",
        "Prizes",
        "Produced and sent out",
        "Reserves the right",
        "Shopping spree",
        "Stuff on sale",
        "Terms and conditions",
        "The best rates",
        "They're just giving it away",
        "Trial",
        "unlimited",
        "Unsolicited",
        "Vacation",
        "Vacation offers",
        "Warranty",
        "We honor all",
        "Weekend getaway",
        "What are you waiting for",
        "Who really wins",
        "Win",
        "Winner",
        "Winning",
        "won",
        "You are a winner",
        "You have been selected",
        "You're a Winner",
    ],
    "Personal": ["Dig up dirt on friends", "Meet singles", "Score with babes"],
    "Sense of Urgency": [
        "Access",
        "Act Now",
        "Apply now",
        "Apply Online",
        "Call free",
        "Call now",
        "Can't live without",
        "Do it today",
        "Don't delete",
        "Don't hesitate",
        "For instant access",
        "For Only",
        "For you",
        "Get it now",
        "Get started now",
        "Great offer",
        "Info you requested",
        "Information you requested",
        "Instant",
        "limited time",
        "New customers only",
        "Now",
        "Now only",
        "Offer expires",
        "Once in lifetime",
        "One time",
        "Only",
        "Order now",
        "Order today",
        "Please read",
        "Special promotion",
        "Supplies are limited",
        "Take action now",
        "Time limited",
        "Urgent",
        "While supplies last",
    ],
}
